Subject: bug#27069: LUKS partition ruined by guix init

From: [email-masked]
Date: Thu, 25 May 2017 17:53:42 +0200 (CEST)

Hi,

I have several times over tried to install to a LUKS-partition with
btrfs and failed but last time I almost had success. guix init command
complained that the bios_grub flag wasn't set after many hours of
compiling packages and therefore didn't install grub at first. I
checked the partition with "cryptsetup luksUUID /dev/sda1" before
rerunning guix init and it gives me the luksUUID so the partition
seemed intact up to that point. However, after setting the bios_grub
flag and rerunning guix init, the installation is successful but
afterwards the cryptsetup luksUUID command says that the partition is
not a valid luks device, so it seems like the GRUB installation part
is what ruins the partition.